OSVDB ID: 19551

Title: vBulletin /admincp/faq.php do Parameter XSS

Info

Disclosure

Sep 17, 2005

Discovery

Jul 20, 2005

Dates

Exploit

Unknown

Solution

Unknown

Description

vBulletin contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'do' variable upon submission to the /admincp/faq.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Classification

Location: Remote / Network Access
Attack Type: Input Manipulation
Impact: Loss of Integrity
Disclosure: Vendor Verified
OSVDB: Web Related

Solution

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Products

Jelsoft Enterprises Limited

vBulletin

3.0.8

References

Credit

  • Thomas Waldegger - bugtraqmorph3us.org -


Direct URL: http://osvdb.org/19551